local tech = {}
tech.__index = tech
local function new()

    return setmetatable({progress=0}, tech)
end

function tech:draw(ptechs)
    love.graphics.setCanvas(negativeBuffer)
    love.graphics.setPointSize(4)
    for i=self.x-self.size,self.x+self.size do
        for j=self.y-self.size,self.y+self.size do
            local distance=mag(i-self.x,j-self.y)
            local alpha=math.max(0,255-(distance/self.size)*255)
            alpha=math.min(255,alpha*(alpha/self.strength))
            love.graphics.setColor(0,0,0,alpha)
            love.graphics.point(i*4,j*4)
        end
    end
    love.graphics.setCanvas()
end

return setmetatable({new = new},
    {__call = function(_, ...) return new(...) end})